//+------------------------------------------------------------------+
//|                                                 Weekly_Range.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property link      " cja " 

#property indicator_chart_window

extern int Color_Range_UP = Red;
extern int Range_UP_LineWidth = 2;
extern int Color_Pivot = Yellow;
extern int Pivot_LineWidth = 2;
extern int Color_Range_DN = Red;
extern int Range_DN_LineWidth = 2;


#define PVT "PVT"
#define RUP "RUP"
#define RDN "RDN"

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectsDeleteAll(0,OBJ_TRENDBYANGLE);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   CreateLN();
}

void Create_Line(string Line, double start, double end,double w, double s,color clr)
  {
   ObjectCreate(Line, OBJ_TRENDBYANGLE, 0, iTime(NULL,PERIOD_W1,0), start, Time[0],w,s, end);
   ObjectSet(Line, OBJPROP_COLOR, clr);
   ObjectSet(Line,OBJPROP_RAY,false);
   ObjectSet(Line,OBJPROP_WIDTH,w);
    ObjectSet(Line,OBJPROP_STYLE,s);

  }
   void DeleteCreate_Line()
   {
   
   ObjectDelete(RDN);ObjectDelete(PVT); ObjectDelete(RUP);
   }
   void CreateLN()
   {
   DeleteCreate_Line();
   ObjectsDeleteAll(0,OBJ_TRENDBYANGLE);
   
  double HighW = iHigh(NULL,PERIOD_W1,1);
  double LowW = iLow(NULL,PERIOD_W1,1);
  double P = (iHigh(NULL,PERIOD_W1,1) + iLow(NULL,PERIOD_W1,1) + iClose(NULL,PERIOD_W1,1)) / 3; 
  
  double RANGE = (HighW-LowW)/2;
  double RNGUP = (P)+RANGE;
  double RNGDN = (P)-RANGE;
  double WEEK = iOpen(NULL,10080,1);
   
   
   
   Create_Line(RUP,RNGUP,RNGUP,Range_UP_LineWidth,1,Color_Range_UP);
   Create_Line(PVT,P,P,Pivot_LineWidth,1,Color_Pivot);
   Create_Line(RDN,RNGDN,RNGDN,Range_DN_LineWidth,1,Color_Range_DN);
//----
   return(0);
  }
//+------------------------------------------------------------------+